Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExNihiloLauncher.cpp

Go to the documentation of this file.

    00001 // ExNihiloLauncher.cpp : Defines the class behaviors for the application.
    00002 //
    00003
    00004 #include "stdafx.h"
    00005 #include "ExNihiloLauncher.h"
    00006 #include "ExNihiloLauncherDlg.h"
    00007
    00008 #ifdef _DEBUG
    00009 #define new DEBUG_NEW
    00010 #endif
    00011
    00012
    00013 // CExNihiloLauncherApp
    00014
    00015 BEGIN_MESSAGE_MAP(CExNihiloLauncherApp, CWinApp)
    00016         ON_COMMAND(ID_HELP, CWinApp::OnHelp)
    00017 END_MESSAGE_MAP()
    00018
    00019
    00020 // CExNihiloLauncherApp construction
    00021
    00022 CExNihiloLauncherApp::CExNihiloLauncherApp()
    00023 {
    00024         // TODO: add construction code here,
    00025         // Place all significant initialization in InitInstance
    00026 }
    00027
    00028
    00029 // The one and only CExNihiloLauncherApp object
    00030
    00031 CExNihiloLauncherApp theApp;
    00032
    00033
    00034 // CExNihiloLauncherApp initialization
    00035
    00036 BOOL CExNihiloLauncherApp::InitInstance()
    00037 {
    00038         // InitCommonControls() is required on Windows XP if an application
    00039         // manifest specifies use of ComCtl32.dll version 6 or later to enable
    00040         // visual styles.  Otherwise, any window creation will fail.
    00041         InitCommonControls();
    00042
    00043         CWinApp::InitInstance();
    00044
    00045         AfxEnableControlContainer();
    00046
    00047
    00048         CExNihiloLauncherDlg dlg;
    00049         m_pMainWnd = &dlg;
    00050         INT_PTR nResponse = dlg.DoModal();
    00051         if (nResponse == IDOK)
    00052         {
    00053                 // TODO: Place code here to handle when the dialog is
    00054                 //  dismissed with OK
    00055         }
    00056         else if (nResponse == IDCANCEL)
    00057         {
    00058                 // TODO: Place code here to handle when the dialog is
    00059                 //  dismissed with Cancel
    00060         }
    00061
    00062         // Since the dialog has been closed, return FALSE so that we exit the
    00063         //  application, rather than start the application's message pump.
    00064         return FALSE;
    00065 }